* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
}
ul {
  list-style: none;
}
/*Blog Basic Styles*/
.blog {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 40px;
  border-bottom: 1px solid rgba(0,0,0,0.05);
}
.blog-heading {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.blog-heading span {
  color: #737373;
}
.blog-heading h3 {
  font-size: 2.4rem;
  color: #2b2b2b;
  font-weight: 400;
}
/*Blog Container*/
.blog-container {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 20px 0;
  flex-wrap: wrap;
}
.blog-post {
  width: 350px;
  background: #fff;
  /* box-shadow: 0 5px 12px rgba(255, 71, 71, 0.11); */
  -webkit-box-shadow: 15px 18px 17px -4px rgba(58,165,179,1);
  -moz-box-shadow: 15px 18px 17px -4px rgba(58,165,179,1);
  box-shadow: 15px 18px 17px -4px rgba(58,165,179,1);
  border-radius: 12px;
  overflow: hidden;
  margin: 20px;
  cursor: pointer;
  transition: transform ease 300ms;
}
.blog-post:hover {
  box-shadow: 0 5px 20px rgba(0,0,0,0.15);
  transform: translate(0, -10px);
}
.blog-img {
  width: 100%;
  height: auto;
}
.blog-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.blog-text {
  padding: 30px;
  display: flex;
  flex-direction: column;
}
.blog-text span {
  color: #086;
  font-size: 0.9rem;
}
.blog-text .blog-title {
  font-size: 1.5rem;
  font-weight: 500;
  color: #272727;
}
.blog-text .blog-title:hover {
  color: rgba(00,86,66,1);
  transition: all ease 0.3s;
}
.blog-text p {
  color: #9b9b9b;
  font-size: 0.9rem;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  margin: 20px 0px;
}
.blog-text a {
  color: #0f0f0f;
}
.blog-text a:hover {
  color: #7868e6;
  transition: all ease 0.3s;
}
/*Responsive*/
@media (max-width: 1250px) {
  .blog-post {
    width: 300px;
  }
}
@media (max-width: 1100px) {
  .blog-post {
    width: 70%;
  }
}
@media (max-width: 550px) {
  .blog-post {
    margin: 20px 10px;
    width: 100%;
  }
  .blog {
    padding: 20px;
  }
}